MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029018Open CASCADE[OCCT] OCCT:Documentationpublic2017-08-18 13:292017-09-29 16:29
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029018: Documentation - Provide user guide for Qt browser
DescriptionExtend OCCT documentation by Qt browser description.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0069583)
git (administrator)
2017-08-18 15:19

Branch CR29018 has been created by nds.

SHA-1: 414f236810803f6d9f6d73fbf18492cd4d8cb3e5


Detailed log of new commits:

Author: nds
Date: Fri Aug 18 15:18:49 2017 +0300

    0029018: Documentation - Provide user guide for Qt browser
    
    # the document structure;
    # minor corrections in tool sources:
    # - warnings about using pixmap in additional thread,
    # - warning about selection model init,
    # - fix for crash with qml using,
    # - fix for sending TopoDS_Shape to ShapeView if there were not set any parameters for ShapeView yet.
(0069973)
git (administrator)
2017-08-28 12:29

Branch CR29018_1 has been created by nds.

SHA-1: 498e2aec0fd891ff1cde4db44f4b48d7b5858147


Detailed log of new commits:

Author: nds
Date: Mon Aug 28 12:29:29 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    Property panel content is improved to contains: [attribute method name, value],
    TDocStd_Owner attribute pane is synchronized to the current API of document.
    TInspector/DFBrowser window size is changed for documentation snapshots
(0069989)
git (administrator)
2017-08-28 16:09

Branch CR29018_1 has been updated by nds.

SHA-1: 17348d7b8c4f634b9416ae337a5c0a9150559225


Detailed log of new commits:

Author: nds
Date: Mon Aug 28 16:09:08 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    #Documenting DFBrowser of TInspector.

(0070024)
git (administrator)
2017-08-29 08:25

Branch CR29018_1 has been updated by nds.

SHA-1: fec55c893a3bb4517f3f5c7a3c574e375dff3a6d


Detailed log of new commits:

Author: nds
Date: Tue Aug 29 08:25:42 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    #Documenting DFBrowser of TInspector (Property panel snapshots).
    # TDataStd_TreeNode pane is improved to hightlight the current item.

(0070027)
git (administrator)
2017-08-29 09:17

Branch CR29018_1 has been updated by nds.

SHA-1: 15d46554999c7a390997b1ec66cbb1440930c251


Detailed log of new commits:

Author: nds
Date: Tue Aug 29 09:17:44 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    #TInspector default size restore.

(0070044)
git (administrator)
2017-08-29 13:23

Branch CR29018_1 has been updated by nds.

SHA-1: 6b38cc3339341682d97bb84a94b8539ed37b09c1


Detailed log of new commits:

Author: nds
Date: Tue Aug 29 13:23:35 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    #Documentation till ShapeView;
    #DRAW test cases;
    #minor corrections included VInspector update after Show/Hide and selection of tree items.

(0070045)
git (administrator)
2017-08-29 13:32

Branch CR29018_1 has been updated by nds.

SHA-1: 9307eb7dfe44c6bc2c32cfbd15313466b74112a8


Detailed log of new commits:

Author: nds
Date: Tue Aug 29 13:32:35 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    #Documentation till ShapeView;

(0070065)
git (administrator)
2017-08-29 16:06

Branch CR29018_1 has been updated by nds.

SHA-1: 5b926cb6c5206542d5e9071de130cb288f512a68


Detailed log of new commits:

Author: nds
Date: Tue Aug 29 16:06:44 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    #Documentation final corrections

(0070066)
git (administrator)
2017-08-29 16:12

Branch CR29018_2 has been created by nds.

SHA-1: 5d5bf190d93713d79bc2b3d9833e664f108e933b


Detailed log of new commits:

Author: nds
Date: Mon Aug 28 12:29:29 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    Documentation is added in a new "Inspector" page of "User Guides".
    Inspector plugins has some improvements by the documentation needs.
    New DRAW scripts are implemented for 'tinspector' command.
(0070068)
nds (developer)
2017-08-29 16:14

Dear Andrey

could you please review new documentation page.

Thank you in advance, Natalia
(0070079)
git (administrator)
2017-08-29 17:22

Branch CR29018_1 has been updated by abv.

SHA-1: c57c07b52d668afca3595a4069ad9720ffe30322


Detailed log of new commits:

Author: abv
Date: Tue Aug 29 17:22:08 2017 +0300

    # fix Doxygen warnings

(0070081)
abv (manager)
2017-08-29 17:38

I have no remarks (just pushed some corrections to eliminate Doxygen warnings).
(0070082)
abv (manager)
2017-08-29 17:39

Mikhail, can you please review the new guide and the changes made in Inspectors code?
(0070093)
git (administrator)
2017-08-30 11:34

Branch CR29018_2 has been updated by nds.

SHA-1: 5d0c9489f195e5865c1782827317155f41881222


Detailed log of new commits:

Author: nds
Date: Wed Aug 30 11:34:10 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    #checkview should not be called here as A2 case does not use it.

(0070106)
git (administrator)
2017-08-30 13:34

Branch CR29018_2 has been updated by nds.

SHA-1: d714cd63924000aac2a27cb5ea5a9bef1d77b57b


Detailed log of new commits:

Author: nds
Date: Wed Aug 30 13:34:38 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    Providing SVG image files instead of PNG where it is necessary.
    
    # some text corrections.

(0070108)
git (administrator)
2017-08-30 14:54

Branch CR29018_2 has been updated by abv.

SHA-1: cc2f88e28b31550b4c303b9f4642c33cbd075ec1


Detailed log of new commits:

Author: abv
Date: Wed Aug 30 14:54:11 2017 +0300

    # figure widths are adjusted to fit into the tables in PDF output

(0070109)
git (administrator)
2017-08-30 15:35

Branch CR29018_2 has been updated by nds.

SHA-1: b23e57e8dcb9ab966dd25a0db7411555bc8d94e8


Detailed log of new commits:

Author: nds
Date: Wed Aug 30 15:27:11 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    # document corrections

(0070111)
git (administrator)
2017-08-30 16:05

Branch CR29018_2 has been updated by nds.

SHA-1: 90c0f715c9baac6a755bfd99f3d49cb6cbe259ee


Detailed log of new commits:

Author: nds
Date: Wed Aug 30 16:05:30 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    # document corrections

(0070123)
git (administrator)
2017-08-31 15:44

Branch CR29018_2 has been updated by nds.

SHA-1: 14734853c08d3ba9d7e383047335a7f72b3f546d


Detailed log of new commits:

Author: nds
Date: Thu Aug 31 15:44:00 2017 +0300

    29018: Documentation - Provide user guide for Qt browser
    
    # warnings elimination for VC14

(0070199)
git (administrator)
2017-09-04 18:20

Branch CR29018 has been deleted by kgv.

SHA-1: 414f236810803f6d9f6d73fbf18492cd4d8cb3e5
(0070200)
git (administrator)
2017-09-04 18:20

Branch CR29018_1 has been deleted by kgv.

SHA-1: c57c07b52d668afca3595a4069ad9720ffe30322
(0070201)
git (administrator)
2017-09-04 18:20

Branch CR29018_2 has been deleted by kgv.

SHA-1: 14734853c08d3ba9d7e383047335a7f72b3f546d

- Related Changesets
occt: master d2c90917
Timestamp: 2017-08-28 09:29:29
Author: nds
Committer: bugmaster
Details ] Diff ]
0029018: Documentation - Provide user guide for Qt browser

Documentation is added in a new "Inspector" page of "User Guides".
Inspector plugins has some improvements by the documentation needs.
New DRAW scripts are implemented for 'tinspector' command.
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
add - dox/user_guides/inspector/images/3DView.png Diff ] File ]
add - dox/user_guides/inspector/images/3DView_elements.svg Diff ] File ]
add - dox/user_guides/inspector/images/dfbrowser.png Diff ] File ]
add - dox/user_guides/inspector/images/dfbrowser_elements.svg Diff ] File ]
add - dox/user_guides/inspector/images/dfbrowser_selection_in_tree_view.svg Diff ] File ]
add - dox/user_guides/inspector/images/display_additional_presentation.png Diff ] File ]
add - dox/user_guides/inspector/images/display_main_presentation.png Diff ] File ]
add - dox/user_guides/inspector/images/drawexe_tinspector.png Diff ] File ]
add - dox/user_guides/inspector/images/dump_attribute.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_array.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_item_selection.svg Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_label.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_named_data.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_simple_type.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_tnaming_named_shape.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_tnaming_naming.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_tnaming_used_shapes.png Diff ] File ]
add - dox/user_guides/inspector/images/property_panel_tree_node.png Diff ] File ]
add - dox/user_guides/inspector/images/search.png Diff ] File ]
add - dox/user_guides/inspector/images/shapeview.png Diff ] File ]
add - dox/user_guides/inspector/images/shapeview_elements.svg Diff ] File ]
add - dox/user_guides/inspector/images/tinspector_elements.svg Diff ] File ]
add - dox/user_guides/inspector/images/TStandaloneEXE.png Diff ] File ]
add - dox/user_guides/inspector/images/TStandaloneEXE_open.png Diff ] File ]
add - dox/user_guides/inspector/images/vinspector.png Diff ] File ]
add - dox/user_guides/inspector/images/vinspector_elements.svg Diff ] File ]
add - dox/user_guides/inspector/images/VStudio_projects.png Diff ] File ]
add - dox/user_guides/inspector/inspector.md Diff ] File ]
mod - dox/user_guides/user_guides.md Diff ] File ]
mod - samples/tools/TStandalone/CMakeLists.txt Diff ] File ]
mod - tests/tools/dfbrowser/A2 Diff ] File ]
add - tests/tools/dfbrowser/A3 Diff ] File ]
add - tests/tools/dfbrowser/A4 Diff ] File ]
add - tests/tools/dfbrowser/A5 Diff ] File ]
add - tests/tools/dfbrowser/A6 Diff ] File ]
mod - tests/tools/grids.list Diff ] File ]
add - tests/tools/shapeview/A1 Diff ] File ]
add - tests/tools/shapeview/A2 Diff ] File ]
add - tests/tools/vinspector/A1 Diff ] File ]
add - tests/tools/vinspector/A2 Diff ] File ]
mod - tools/DFBrowser/DFBrowser_HighlightDelegate.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemRole.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineDelegate.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelViewModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePane.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePane.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneModel.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneModel.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperExport.cxx Diff ] File ]
rm - tools/DFBrowserPane/DFBrowserPane_HelperGroupContent.cxx Diff ] File ]
rm - tools/DFBrowserPane/DFBrowserPane_HelperGroupContent.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_ItemRole.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_OcctEnumType.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TableView.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TableView.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdAsciiString.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdComment.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdCurrent.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExpression.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExtStringList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdInteger.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntegerList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntPackedMap.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdName.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNamedData.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNamedData.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReal.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRealList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNode.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeItem.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeItem.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdUAttribute.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFReference.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFTagSource.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdOwner.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdXLink.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionFunction.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNaming.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingUsedShapes.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingUsedShapes.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_Tools.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_Tools.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISPresentation.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISViewer.cxx Diff ] File ]
mod - tools/DFBrowserPane/FILES Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocArea.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocCentroid.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocColor.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocDatum.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocShapeMapTool.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.cxx Diff ] File ]
mod - tools/ToolsDraw/ToolsDraw.cxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemRole.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_MessageDialog.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ToolBar.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-18 13:29 nds New Issue
2017-08-18 13:29 nds Assigned To => nds
2017-08-18 15:19 git Note Added: 0069583
2017-08-28 12:29 git Note Added: 0069973
2017-08-28 16:09 git Note Added: 0069989
2017-08-29 08:25 git Note Added: 0070024
2017-08-29 09:17 git Note Added: 0070027
2017-08-29 13:23 git Note Added: 0070044
2017-08-29 13:32 git Note Added: 0070045
2017-08-29 16:06 git Note Added: 0070065
2017-08-29 16:12 git Note Added: 0070066
2017-08-29 16:14 nds Note Added: 0070068
2017-08-29 16:14 nds Assigned To nds => abv
2017-08-29 16:14 nds Status new => resolved
2017-08-29 17:22 git Note Added: 0070079
2017-08-29 17:38 abv Note Added: 0070081
2017-08-29 17:38 abv Assigned To abv => mpv
2017-08-29 17:39 abv Note Added: 0070082
2017-08-30 11:34 git Note Added: 0070093
2017-08-30 13:34 git Note Added: 0070106
2017-08-30 14:54 git Note Added: 0070108
2017-08-30 15:35 git Note Added: 0070109
2017-08-30 16:05 git Note Added: 0070111
2017-08-30 16:07 mpv Assigned To mpv => bugmaster
2017-08-30 16:07 mpv Status resolved => reviewed
2017-08-31 10:52 bugmaster Status reviewed => tested
2017-08-31 15:44 git Note Added: 0070123
2017-08-31 18:37 bugmaster Changeset attached => occt master d2c90917
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070199
2017-09-04 18:20 git Note Added: 0070200
2017-09-04 18:20 git Note Added: 0070201
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker